GET api/pcapi/pc/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

PCViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

cleanroom_id

globally unique identifier

None.

db_login

string

String length: inclusive between 0 and 50

db_name

string

String length: inclusive between 0 and 50

db_password

string

String length: inclusive between 0 and 50

db_source

string

String length: inclusive between 0 and 50

id

globally unique identifier

None.

local_ip

string

String length: inclusive between 0 and 15

lock_id

globally unique identifier

None.

mac_address

string

Required

String length: inclusive between 0 and 30

name

string

String length: inclusive between 0 and 100

pc_type_id

globally unique identifier

None.

rights

Collection of ShortRightViewModel

None.

site_id

globally unique identifier

None.

zone_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "cleanroom_id": "efb3ff25-ee84-4251-b064-ba7c39922f7e",
  "db_login": "sample string 2",
  "db_name": "sample string 3",
  "db_password": "sample string 4",
  "db_source": "sample string 5",
  "id": "1238accc-8a08-48b1-ae70-382c2fca2d87",
  "local_ip": "sample string 7",
  "lock_id": "a518c645-3b84-45b5-ad0d-6478f48d2dbc",
  "mac_address": "sample string 8",
  "name": "sample string 9",
  "pc_type_id": "fa5ac2d0-7e02-404e-8596-9349e209e605",
  "rights": [
    {
      "code": "sample string 1",
      "id": "19c33651-d237-4ecc-8708-c54d37330edc"
    },
    {
      "code": "sample string 1",
      "id": "19c33651-d237-4ecc-8708-c54d37330edc"
    }
  ],
  "site_id": "077279d0-5633-4021-8eb0-4b96eec94381",
  "zone_id": "3ad336f6-4555-4da2-a9a6-867d0e68b533"
}

application/xml, text/xml

Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <cleanroom_id>efb3ff25-ee84-4251-b064-ba7c39922f7e</cleanroom_id>
  <db_login>sample string 2</db_login>
  <db_name>sample string 3</db_name>
  <db_password>sample string 4</db_password>
  <db_source>sample string 5</db_source>
  <id>1238accc-8a08-48b1-ae70-382c2fca2d87</id>
  <local_ip>sample string 7</local_ip>
  <lock_id>a518c645-3b84-45b5-ad0d-6478f48d2dbc</lock_id>
  <mac_address>sample string 8</mac_address>
  <name>sample string 9</name>
  <pc_type_id>fa5ac2d0-7e02-404e-8596-9349e209e605</pc_type_id>
  <rights>
    <right>
      <ID>19c33651-d237-4ecc-8708-c54d37330edc</ID>
      <code>sample string 1</code>
    </right>
    <right>
      <ID>19c33651-d237-4ecc-8708-c54d37330edc</ID>
      <code>sample string 1</code>
    </right>
  </rights>
  <site_id>077279d0-5633-4021-8eb0-4b96eec94381</site_id>
  <zone_id>3ad336f6-4555-4da2-a9a6-867d0e68b533</zone_id>
</pc>